From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/libcap-ng/
Date: Fri, 29 Jul 2016 15:08:36 +0000 (UTC) [thread overview]
Message-ID: <1469804912.9daa908a1adb55e4d56226ac262277535f757af0.polynomial-c@gentoo> (raw)
commit: 9daa908a1adb55e4d56226ac262277535f757af0
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 29 15:08:05 2016 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Jul 29 15:08:32 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9daa908a
sys-libs/libcap-ng: Bump to version 0.7.8
Package-Manager: portage-2.3.0
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-libs/libcap-ng/Manifest | 1 +
sys-libs/libcap-ng/libcap-ng-0.7.8.ebuild | 100 ++++++++++++++++++++++++++++++
2 files changed, 101 insertions(+)
diff --git a/sys-libs/libcap-ng/Manifest b/sys-libs/libcap-ng/Manifest
index 1f99af6..0f66f7e 100644
--- a/sys-libs/libcap-ng/Manifest
+++ b/sys-libs/libcap-ng/Manifest
@@ -1 +1,2 @@
DIST libcap-ng-0.7.7.tar.gz 420178 SHA256 615549ce39b333f6b78baee0c0b4ef18bc726c6bf1cca123dfd89dd963f6d06b SHA512 eb049b29fdd31aa31c6c14ca023df62c2910504c1edd1242dba13579d0befae5b98249c22c145517bd5451969a0b186390dc11b2269e58001336e10c855e920c WHIRLPOOL 5d376b8d12ed8c19ca649095297e6016e86e5ad6112fd12685929bdd5f3c34bbcdf9c1c61cad44f44d3784192ca37df1a77c478e5fc15dacb20a2561ee945652
+DIST libcap-ng-0.7.8.tar.gz 447946 SHA256 c21af997445cd4107a55d386f955c5ea6f6e96ead693e9151277c0ab5f97d05f SHA512 c32a4c5780c183b13611615abe9061221fd8987188b08828d1617cdaee338ad8de67b3430aa83bde60128efc76449a688546bfbf697f0847b6a835cb1a868756 WHIRLPOOL a56ee901f301c4c2e0353e2b9e38938fcd6efbb9394d60af6c7045967e6a310fd19b658617b362f14489a75da64a69e82a3afcada97f898c2ab25fad6fb6603d
diff --git a/sys-libs/libcap-ng/libcap-ng-0.7.8.ebuild b/sys-libs/libcap-ng/libcap-ng-0.7.8.ebuild
new file mode 100644
index 0000000..ca213a6
--- /dev/null
+++ b/sys-libs/libcap-ng/libcap-ng-0.7.8.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_PRUNE_LIBTOOL_FILES=all
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit autotools-utils flag-o-matic python-r1
+
+DESCRIPTION="POSIX 1003.1e capabilities"
+HOMEPAGE="https://people.redhat.com/sgrubb/libcap-ng/"
+SRC_URI="https://people.redhat.com/sgrubb/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~arm-linux ~x86-linux"
+IUSE="python static-libs"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+ sys-kernel/linux-headers
+ python? ( >=dev-lang/swig-2 )"
+
+RESTRICT="test"
+
+src_prepare() {
+ sed -i -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.ac || die
+
+ autotools-utils_src_prepare
+
+ use sparc && replace-flags -O? -O0
+}
+
+src_configure() {
+ # set up the library build
+ local myeconfargs=( --without-python --without-python3 )
+ autotools-utils_src_configure
+
+ # set up python bindings build(s)
+ if use python ; then
+ setup_python_flags_configure() {
+ if [[ ${EPYTHON} == python2* ]] ; then
+ myeconfargs=( --with-python --without-python3 )
+ else
+ myeconfargs=( --with-python --with-python3 )
+ fi
+ autotools-utils_src_configure
+ }
+
+ python_foreach_impl setup_python_flags_configure
+ fi
+}
+
+src_compile() {
+ autotools-utils_src_compile
+
+ if use python; then
+ python_compile() {
+ local CFLAGS=${CFLAGS}
+
+ python_is_python3 || CFLAGS+=" -fno-strict-aliasing"
+
+ emake "${@}" \
+ -C "${BUILD_DIR}"/bindings/python
+ }
+
+ # help build system find the right objects
+ python_foreach_impl python_compile \
+ VPATH="${BUILD_DIR}"/bindings/python \
+ LIBS="${BUILD_DIR}"/src/libcap-ng.la
+ fi
+}
+
+src_test() {
+ if [[ "${EUID}" -eq 0 ]]; then
+ ewarn "Skipping tests due to root permissions."
+ return
+ fi
+
+ autotools-utils_src_test
+
+ if use python; then
+ python_foreach_impl \
+ autotools-utils_src_compile -C bindings/python check \
+ VPATH="${BUILD_DIR}"/bindings/python:"${S}"/bindings/python/test
+ fi
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ if use python; then
+ python_foreach_impl \
+ autotools-utils_src_install -C bindings/python \
+ VPATH="${BUILD_DIR}"/bindings/python
+ fi
+}
next reply other threads:[~2016-07-29 15:08 UTC|newest]
Thread overview: 102+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-07-29 15:08 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-27 19:09 [gentoo-commits] repo/gentoo:master commit in: sys-libs/libcap-ng/ Sam James
2024-05-30 3:24 Sam James
2024-05-30 3:24 Sam James
2024-05-30 3:24 Sam James
2024-05-30 3:24 Sam James
2024-05-30 3:24 Sam James
2024-05-30 3:24 Sam James
2024-05-30 3:24 Sam James
2024-04-28 23:39 Sam James
2024-04-04 16:48 Mike Gilbert
2024-04-04 16:48 Mike Gilbert
2024-04-04 16:48 Mike Gilbert
2024-03-19 3:42 Ionen Wolkens
2024-03-02 18:00 Arthur Zamarin
2024-02-19 4:04 Sam James
2024-02-18 13:32 Sam James
2024-02-18 13:20 Sam James
2024-02-08 1:50 Sam James
2024-02-03 6:56 Sam James
2024-02-02 16:27 Arthur Zamarin
2024-02-02 14:58 Arthur Zamarin
2024-02-02 6:40 Sam James
2023-12-24 2:19 Sam James
2023-12-24 1:45 Sam James
2023-03-07 11:39 Sam James
2022-07-28 13:20 Sam James
2022-06-21 9:41 David Seifert
2022-06-02 7:31 Jakov Smolić
2022-06-02 5:03 Jakov Smolić
2022-06-02 4:00 Sam James
2022-06-02 3:23 Sam James
2022-06-02 3:12 Sam James
2022-06-02 3:12 Sam James
2022-06-02 3:05 Sam James
2022-06-02 3:05 Sam James
2022-05-05 9:51 WANG Xuerui
2022-04-07 3:37 Sam James
2021-10-31 20:09 Arthur Zamarin
2021-06-06 15:42 David Seifert
2021-05-26 18:28 Sergei Trofimovich
2021-05-26 8:11 Sam James
2021-05-26 8:04 Sam James
2021-05-25 11:06 Sam James
2021-05-24 13:05 Agostino Sarubbo
2021-05-24 0:12 Sam James
2021-05-24 0:12 Sam James
2021-05-23 23:07 Thomas Deutschmann
2021-05-06 7:11 Lars Wendler
2020-12-14 23:21 Robin H. Johnson
2020-12-14 23:21 Robin H. Johnson
2020-12-11 14:59 Lars Wendler
2020-12-11 14:59 Lars Wendler
2020-11-23 8:01 Sergei Trofimovich
2020-11-23 7:52 Sergei Trofimovich
2020-11-23 4:05 Sam James
2020-11-20 20:01 Sergei Trofimovich
2020-11-20 2:02 Sam James
2020-11-20 2:02 Sam James
2020-11-20 1:34 Thomas Deutschmann
2020-11-19 22:58 Sam James
2020-11-19 9:36 Lars Wendler
2020-09-09 6:42 Lars Wendler
2020-08-24 22:47 Thomas Deutschmann
2020-08-14 23:22 Andreas Sturmlechner
2020-07-30 14:05 Lars Wendler
2020-04-11 16:19 Lars Wendler
2020-04-11 16:12 Agostino Sarubbo
2020-04-11 16:10 Agostino Sarubbo
2020-04-11 16:00 Agostino Sarubbo
2020-04-11 15:58 Agostino Sarubbo
2020-04-11 11:21 Mart Raudsepp
2020-04-10 22:56 Sergei Trofimovich
2020-04-09 18:00 Agostino Sarubbo
2020-02-10 21:25 Michał Górny
2019-12-02 14:24 Andreas Sturmlechner
2019-10-02 23:22 Thomas Deutschmann
2019-05-05 13:49 Mikle Kolyada
2018-11-21 14:45 Lars Wendler
2018-03-19 18:06 Guilherme Amadio
2018-02-08 16:36 Mike Gilbert
2018-01-12 4:10 Mike Frysinger
2017-05-26 22:54 David Seifert
2017-04-28 14:07 Manuel Rüger
2017-02-18 6:45 Lars Wendler
2017-02-18 5:53 Markus Meier
2017-01-20 11:05 Agostino Sarubbo
2017-01-17 14:24 Agostino Sarubbo
2017-01-16 19:56 Tobias Klausmann
2017-01-15 15:50 Agostino Sarubbo
2017-01-15 10:02 Jeroen Roovers
2017-01-11 10:35 Agostino Sarubbo
2017-01-10 15:22 Agostino Sarubbo
2017-01-10 14:56 Agostino Sarubbo
2016-02-17 16:04 Mike Frysinger
2015-09-21 11:27 Agostino Sarubbo
2015-08-26 15:55 Markus Meier
2015-08-24 5:16 Jeroen Roovers
2015-08-18 4:32 Jeroen Roovers
2015-08-16 17:55 Mikle Kolyada
2015-08-12 18:21 Agostino Sarubbo
2015-08-09 23:46 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1469804912.9daa908a1adb55e4d56226ac262277535f757af0.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox